> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry Send



## OpenAPI

````yaml put /billing/invoice/{invoice_id}/retry-send
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /billing/invoice/{invoice_id}/retry-send:
    put:
      tags:
        - provider
        - billing
      summary: Retry Send
      operationId: retry_send_billing_invoice__invoice_id__retry_send_put
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: invoice_id
          in: path
          required: true
          schema:
            type: string
            title: Invoice Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvoiceForTable'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    InvoiceForTable:
      properties:
        id:
          type: string
          title: Id
        method:
          anyOf:
            - $ref: '#/components/schemas/InvoiceMethod'
            - type: 'null'
        status:
          $ref: '#/components/schemas/InvoiceStatus'
        rule:
          anyOf:
            - $ref: '#/components/schemas/RuleDetails'
            - type: 'null'
        amount:
          type: integer
          title: Amount
        sendTime:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Sendtime
        pausedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Pauseddate
        resumedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Resumeddate
        methodsAttempted:
          items:
            prefixItems:
              - $ref: '#/components/schemas/InvoiceMethod'
              - type: boolean
              - type: string
            type: array
            maxItems: 3
            minItems: 3
          type: array
          title: Methodsattempted
        failedReason:
          anyOf:
            - type: string
            - type: 'null'
          title: Failedreason
        pdfPath:
          anyOf:
            - type: string
            - type: 'null'
          title: Pdfpath
        emailStatus:
          anyOf:
            - type: string
            - type: 'null'
          title: Emailstatus
        smsContent:
          anyOf:
            - type: string
            - type: 'null'
          title: Smscontent
        callStatus:
          anyOf:
            - type: string
            - type: 'null'
          title: Callstatus
      type: object
      required:
        - id
        - status
        - amount
        - methodsAttempted
      title: InvoiceForTable
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    InvoiceMethod:
      type: string
      enum:
        - CHARGE_CARD
        - SMS
        - EMAIL
        - CALL
        - MAIL
        - EXPIRY
      title: InvoiceMethod
      description: The method used to send an invoice to a patient.
    InvoiceStatus:
      type: string
      enum:
        - PENDING
        - SENT
        - FAILED
        - PAUSED
        - CANCELLED
      title: InvoiceStatus
      description: The status of an invoice.
    RuleDetails:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        methods:
          items:
            $ref: '#/components/schemas/InvoiceMethod'
          type: array
          title: Methods
        delayInDays:
          type: integer
          title: Delayindays
        message:
          type: string
          title: Message
      type: object
      required:
        - id
        - name
        - methods
        - delayInDays
        - message
      title: RuleDetails
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````